Logs
CompozyOS Logs HTTP endpoints.
workspace_id?stringWorkspace id
session_id?stringSession id
agent_name?stringAgent name
type?stringEvent type
run?stringTask run id
actor?stringActor as kind:id
actor_kind?stringActor kind
actor_id?stringActor id
provider?stringProvider id projected at event write time
outcome?stringEvent registry outcome
component?stringEvent registry component
error_only?booleanReturn warning and failure outcomes only
after_seq?integerReturn rows after this event summary sequence
int32since?stringOnly logs emitted since this timestamp
date-timelimit?integerMaximum number of records to return
int32profile?stringRead one profile's rows by name
all_profiles?booleanRead the owner-labeled all-profiles aggregate
OK
application/json- response
events*array<>curl -X GET "https://example.com/api/logs"{ "events": [ { "actor_id": "string", "actor_kind": "string", "agent_name": "string", "claim_token_hash": "string", "component": "string", "content": null, "coordinator_session_id": "string", "generation": 0, "hook_event": "string", "hook_name": "string", "id": "string", "lease_until": "2019-08-24T14:15:22Z", "outcome": "string", "parent_session_id": "string", "profile_archived": true, "profile_color": "string", "profile_emoji": "string", "profile_icon": "string", "profile_id": "string", "profile_name": "string", "provider": "string", "release_reason": "string", "root_session_id": "string", "run_id": "string", "scheduler_reason": "string", "session_id": "string", "spawn_depth": 0, "summary": "string", "task_id": "string", "timestamp": "2019-08-24T14:15:22Z", "type": "string", "workflow_id": "string", "workspace_id": "string", "worktree_id": "string" } ]}workspace_id?stringWorkspace id
session_id?stringSession id
agent_name?stringAgent name
type?stringEvent type
run?stringTask run id
actor?stringActor as kind:id
actor_kind?stringActor kind
actor_id?stringActor id
provider?stringProvider id projected at event write time
outcome?stringEvent registry outcome
component?stringEvent registry component
error_only?booleanReturn warning and failure outcomes only
after_seq?integerReturn rows after this event summary sequence
int32since?stringOnly logs emitted since this timestamp
date-timelimit?integerMaximum number of records to return
int32replay?booleanReplay bounded retained logs before live polling
last_event_id?stringComposite resume cursor when Last-Event-ID cannot be set; the header takes precedence
profile?stringRead one profile's rows by name
all_profiles?booleanRead the owner-labeled all-profiles aggregate
Last-Event-ID?stringResume after this composite log event id
WebSocket upgrade; each text message contains one complete SSE frame
curl -X GET "https://example.com/api/logs/stream"